# Steam gaming platform with Steam Deck compatibility tools and gaming utilities.
{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.profiles.gaming.steam;
in {
  options.profiles.gaming.steam.enable = mkEnableOption "enable Steam gaming";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      gamemode
      goverlay
      mangohud
      protonplus
    ];
  };
}
